<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>plugin.Xai.XTC2.Join.Convoy</name>
<version>1</version>
<engineversion>25</engineversion>
<description>find a place and join specified convoy</description>
<arguments>
<argument index="1" name="Convoy" type="Var/Ship" desc="ship in convoy" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation,&#160;764</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var>Part&#160;of&#160;Xai&#160;Corporation&#160;Trade&#160;Command&#160;Software&#160;Mk2</var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""></line>
<line linenr="005" indent=""><comment><text>*&#160;</text><var>Find&#160;place&#160;in&#160;convoy&#160;formation&#160;starting&#160;at&#160;leader</var></comment></line>
<line linenr="006" indent=""><var>[THIS]&#160;-&gt;</var><text>&#160;remove&#160;from&#160;any&#160;formation</text></line>
<line linenr="007" interruptable="@" indent=""><var>$Convoy&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.lib.find.grp.leader</call><text>&#160;:&#160;</text><text>&#160;Group&#160;member=</text><var>$Convoy</var></line>
<line linenr="008" interruptable="@" indent=""><var>$Place.inFormation&#160;=&#160;</var><var>[THIS]&#160;-&gt;</var><text>&#160;call&#160;script&#160;</text><call>plugin.Xai.XTC2.find.grp.pos</call><text>&#160;:&#160;</text><text>&#160;Convoy.member=</text><var>$Convoy</var></line>
<line linenr="009" indent=""></line>
<line linenr="010" indent=""><comment><text>*&#160;</text><var>Join&#160;convoy&#160;in&#160;place</var></comment></line>
<line linenr="011" indent=""><text>START&#160;</text><var>[THIS]&#160;-&gt;</var><text>&#160;command&#160;</text><var>COMMAND_FOLLOW</var><text>&#160;:&#160;arg1=</text><var>$Place.inFormation</var><text>,&#160;arg2=</text><var>1000</var><text>,&#160;arg3=</text><var>null</var><text>,&#160;arg4=</text><var>null</var></line>
<line linenr="012" indent=""><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="plugin.Xai.XTC2.Join.Convoy" /><sval type="int" val="25" /><sval type="string" val="find a place and join specified convoy" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="2"><sval type="string" val="Convoy" /><sval type="string" val="Place.inFormation" /></sval><sval type="array" size="5"><sval type="array" size="3"><sval type="int" val="511" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.lib.find.grp.leader" /><sval type="int" val="0" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="8"><sval type="int" val="102" /><sval type="string" val="plugin.Xai.XTC2.find.grp.pos" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="0" /></sval><sval type="array" size="13"><sval type="int" val="514" /><sval type="int" val="131075" /><sval type="int" val="65536" /><sval type="int" val="18" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="1000" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="1"><sval type="array" size="2"><sval type="int" val="21" /><sval type="string" val="ship in convoy" /></sval></sval><sval type="array" size="7"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation, 764" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Part of Xai Corporation Trade Command Software Mk2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="0" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Find place in convoy formation starting at leader" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="3" /><sval type="int" val="1" /><sval type="string" val="Join convoy in place" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
